Grand Master Ramos:
The Test of the Elven Scout is conducted by Master Reisa of the town of Gludio. She has trained Elven Scouts for a long time, and she will give you the appropriate test. Pass her test and bring back her letter of recommendation. The town of Gludio can be reached by following the road east from our village. Of course, using a Gatekeeper is faster. Look for Master Reisa in the Fighter Guild.
Return